Shared object "libdl.so.1" not found, required by "vim"

leveraction

Member

Reaction score: 2
Messages: 35

I just upgraded to 11.2-RELEASE-p4 trying to solve an issue related to upgrading the ports collection. (earlier post) After the upgrades I tried to start 'vim' to edit a config file and get this error:

Code:
Shared object "libdl.so.1" not found, required by "vim"

How do I go about acquiring and installing this library so I can use 'vim' again?
 

phoenix

Administrator
Staff member
Administrator
Moderator

Reaction score: 1,290
Messages: 4,099

I ran into this after doing an upgrade from 10.3 to 10.4 to 11.0 to 11.2.

Ran pkg upgrade -f twice before I realised I hadn't don't the last freebsd-update install after rebooting. Once that completed, /usr/lib/libdl.so.1 was available to everything.
 

SirDice

Administrator
Staff member
Administrator
Moderator

Reaction score: 12,691
Messages: 39,290

It's a base library:
Code:
root@c2:~# ll /usr/lib/libdl.so.1
-r--r--r--  1 root  wheel  6160 Jul  4 11:29 /usr/lib/libdl.so.1
So it looks like you didn't quite finish the upgrade.
 
Top